Bug 53165 - DNS1/DNS2/DNS3 no longer honored
DNS1/DNS2/DNS3 no longer honored
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 15:42 EDT by Nalin Dahyabhai
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:10:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2001-09-04 15:42:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
In previous releases of RHL, setting DNS1 or DNS2 or DNS3 in
/etc/sysconfig/network-scripts/ifcfg-<interface> would let you specify DNS
server addresses to be set in /etc/resolv.conf when that interface was
brought up.
This was very useful for CIPE tunnels, as the DNS on the other end knew
about addresses behind a firewall, which most servers don't know about.

Version-Release number of selected component (if applicable):
6.32-1

How reproducible:
Always

Steps to Reproduce:
1.Create a CIPE tunnel using r-c-n.
2.Set DNS1=127.0.0.1 in /etc/sysconfig/network-scripts/ifcfg-cipcb0
3.Verify that /etc/resolv.conf does not list 127.0.0.1 as the first nameserver.
4.Bring the interface up.
	

Actual Results:
  /etc/resolv.conf is unchanged.

Expected Results:
  /etc/resolv.conf should list 127.0.0.1 as the first nameserver.
Comment 1 Bill Nottingham 2001-09-04 23:00:15 EDT
Does redhat-config-network automatically set PEERDNS=no?
Comment 2 Ngo Than 2001-09-05 08:32:10 EDT
default setting for PEERDNS is no. To enable it you should have to activate it
in Protocol->Hostname->Automatically obtain DNS information from provider.

Note You need to log in before you can comment on or make changes to this bug.